package com.ssj.service.weixin.user.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class AppWxUserInfo implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="nickname",value="普通用户昵称",required=true)
	private String nickname;//普通用户昵称
	@ApiModelProperty(name="sex",value="用户的性别（1是男性，2是女性，0是未知） ")
	private String sex;
	@ApiModelProperty(name="province",value="省份")
	private String province;
	@ApiModelProperty(name="city",value="城市")
	private String city;
	@ApiModelProperty(name="country",value="国家")
	private String country;
	@ApiModelProperty(name="headimgurl",value="头像地址",required=true)
	private String headimgurl;
	/**
	 * unionId
	 */
	@ApiModelProperty(name="unionid",value="用户unionid",required=true)
	private String unionid;

	@ApiModelProperty(name="openid",value="用户openid",required=true)
	private String openid;

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getHeadimgurl() {
		return headimgurl;
	}

	public void setHeadimgurl(String headimgurl) {
		this.headimgurl = headimgurl;
	}

	public String getUnionid() {
		return unionid;
	}

	public void setUnionid(String unionid) {
		this.unionid = unionid;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}
	
	
	
	
}
